body {
    justify-content: center;
    background-image: url("../img/background.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

div.nav {
    justify-content: center;
    background-color: aliceblue;
    border-radius: 10px;
    width: 90%;
    margin-top: 1%;
    margin-left: auto;
    margin-right: auto;
    padding: 1%;
}

ul.nav_block {
    padding: 4px;
    margin-top: auto;
    margin-bottom: auto;
}

ul.nav_block li {
    display: inline-block;
    color: gray;
    margin-right: 50px;
    padding: 0.1%;
    transition: transform .4s ease;
}

ul.nav_block a {
    text-decoration: none;
    display: inline-block;
    color: gray;
}

ul.nav_block li:hover, ul.nav_block a:hover {
    color: #6D2749;
    text-decoration: none;
    transform: scale(1.3);
}

input[type=range]  {
    overflow: hidden;
}

input {
    background: linear-gradient(to right, #d9d9d9, #15a9a9 50%, #d9d9d9);
    border: solid 2px #444;
    border-radius: 8px;
    height: 10px;

    -webkit-appearance: none;
}

input::-webkit-slider-thumb {
    background-color: #6fb95a;
    border: solid 2px #dedede;
    border-radius: 0;
    height: 20px;
    width: 20px;
    -webkit-appearance: none;
}

input {
    margin-top: 3px !important;
    height: 15px !important;
}

input:disabled {
    background: linear-gradient(to right, #adadad, #222f2f 50%, #adadad);
    border: solid 2px #444;
    border-radius: 8px;
    height: 10px;
}

input:disabled::-webkit-slider-thumb {
    background-color: #5f623f;
    border: solid 2px #dedede;
    border-radius: 0;
    height: 20px;
    width: 20px;
}

button {
    width: 130px;
    height: 40px;
    color: #000000;
    line-height: 42px;
    border-radius: 5px;
    font-family: 'Lato', sans-serif;
    font-weight: 500;
    background: transparent;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    display: inline-block;
    outline: none;
    padding: 0;
}

button:hover {
    color: #ffffff;
    background: transparent;
    box-shadow: none;
}

button:before, button:after {
    border-radius: 10px;
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    height: 2px;
    width: 0;
    background: #ffffff;
    box-shadow:
            -1px -1px 5px 0 #fff,
            7px 7px 20px 0 rgba(255, 255, 255, 0.2),
            4px 4px 5px 0 #0002;
    transition: 400ms ease all;
}

button:after {
    right: inherit;
    top: inherit;
    left: 0;
    bottom: 0;
}

button:hover:before, button:hover:after {
    width: 100%;
    transition: 800ms ease all;
}

select, input, button {
    box-shadow: inset 2px 2px 2px 0 rgba(255, 255, 255, .5),
    7px 7px 20px 0 rgba(0, 0, 0, .1),
    4px 4px 5px 0 rgba(0, 0, 0, .1);
}
